openSUSE Security Update : quagga (openSUSE-SU-2011:0274-1)

Medium Nessus Plugin ID 53796


The remote openSUSE host is missing a security update.


This security update of quagga fixes :

- CVE-2010-1674: Direct BGP peers can send malformed extended communities which lead to a NULL pointer dereference.

- CVE-2010-1675: A malformed AS_PATHLIMIT path attribute will cause a session reset in Quagga. This malformed package is forwarded by other routers and can be used to take 'all' Quagga routers off the Internet with one single announcement.


Update the affected quagga packages.

See Also

Plugin Details

Severity: Medium

ID: 53796

File Name: suse_11_2_quagga-110331.nasl

Version: $Revision: 1.2 $

Type: local

Agent: unix

Published: 2011/05/05

Modified: 2014/06/13

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:quagga, p-cpe:/a:novell:opensuse:quagga-devel, cpe:/o:novell:opensuse:11.2

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2011/03/31

Reference Information

CVE: CVE-2010-1674, CVE-2010-1675